EUCA-MODIFY-INSTANCE-TYPE(1)

NAME
euca-modify-instance-type - [Eucalyptus cloud admin only] Modify an instance type

SYNOPSIS
euca-modify-instance-type [-c COUNT] [-d GiB] [-m MiB] [-i COUNT]

[--reset] [--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCETYPE

DESCRIPTION
[Eucalyptus cloud admin only] Modify an instance type

  positional arguments:

INSTANCETYPE
    name of the instance type to modify (required)

  optional arguments:

-c COUNT, --cpus COUNT
    number of virtual CPUs to allocate to each instance

-d GiB, --disk GiB
    amount of instance storage to allow each instance

-m MiB, --memory MiB
    amount of RAM to allocate to each instance

-i COUNT, --network-interfaces COUNT
    maximum network interfaces for each instance (VPC)

--reset
    reset the instance type to its default configuration

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit